Bug 121682 - update x11-wm/dwm to 4.8
Summary: update x11-wm/dwm to 4.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pietro Cerutti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-13 23:10 UTC by Pietro Cerutti
Modified: 2008-03-17 20:00 UTC (History)
0 users

See Also:


Attachments
x11-wm::dwm.diff (2.41 KB, patch)
2008-03-13 23:10 UTC, Pietro Cerutti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pietro Cerutti 2008-03-13 23:10:01 UTC

    
Comment 1 Edwin Groothuis freebsd_committer 2008-03-13 23:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-03-13 23:10:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Martin Wilke freebsd_committer 2008-03-14 09:07:06 UTC
Responsible Changed
From-To: miwi->gahr

submitter is committer.
Comment 4 Jeroen Schot 2008-03-14 09:29:49 UTC
Hello,

Thanks for submitting this PR. I was in the process of updating the port
myself. Attached is my diff that updates x11-wm/dwm to 4.8 and replaces
the deprecated USE_XLIB with USE_XORG. It also adds a minimal version to
the x11/dmenu dependency since the default configuration uses a new
script (dmenu_run).

Regards,

Jeroen Schot


diff -ruN dwm.orig/Makefile dwm/Makefile
--- dwm.orig/Makefile	2007-12-14 19:45:18.000000000 +0100
+++ dwm/Makefile	2008-03-14 10:14:19.000000000 +0100
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	dwm
-PORTVERSION=	4.7
+PORTVERSION=	4.8
 CATEGORIES=	x11-wm
 MASTER_SITES=	http://www.suckless.org/download/ \
 		http://schot.a-eskwadraat.nl/files/
@@ -14,9 +14,9 @@
 MAINTAINER=	schot@a-eskwadraat.nl
 COMMENT=	A dynamic, small, fast and simple window manager
 
-RUN_DEPENDS=	dmenu:${PORTSDIR}/x11/dmenu
+RUN_DEPENDS=	dmenu>=3.5:${PORTSDIR}/x11/dmenu
 
-USE_XLIB=	yes
+USE_XORG=	x11
 
 MAN1=		dwm.1
 PLIST_FILES=	bin/dwm
@@ -25,7 +25,7 @@
 pre-everything::
 	@${ECHO_MSG} "You can build dwm with your own config.h using the DWM_CONF knob:"
 	@${ECHO_MSG} "make DWM_CONF=/path/to/dwm/config.h install clean"
-	@${ECHO_MSG} "Note: Pre-4.7 config.h-files no longer work."
+	@${ECHO_MSG} "Note: Pre-4.8 config.h-files no longer work."
 
 post-extract:
 .if defined(DWM_CONF)
diff -ruN dwm.orig/distinfo dwm/distinfo
--- dwm.orig/distinfo	2007-12-14 19:45:18.000000000 +0100
+++ dwm/distinfo	2008-03-13 21:41:25.000000000 +0100
@@ -1,3 +1,3 @@
-MD5 (dwm-4.7.tar.gz) = 827b128514a3edb87e208e84fee0eb3f
-SHA256 (dwm-4.7.tar.gz) = 37481957fc247f6860ba5942748f8f89b526bf5b8b21042001d384e88360c5aa
-SIZE (dwm-4.7.tar.gz) = 17693
+MD5 (dwm-4.8.tar.gz) = 75f49997c4af45707688f764f604c119
+SHA256 (dwm-4.8.tar.gz) = 431b6767e090d4b80b42e2adff6a6a5c7d344c6e22e93e0dd022dcec2b9e2118
+SIZE (dwm-4.8.tar.gz) = 17879
diff -ruN dwm.orig/files/patch-config.mk dwm/files/patch-config.mk
--- dwm.orig/files/patch-config.mk	2007-12-14 19:45:18.000000000 +0100
+++ dwm/files/patch-config.mk	2008-03-13 21:44:16.000000000 +0100
@@ -1,5 +1,5 @@
---- config.mk.orig	2007-11-21 21:18:41.000000000 +0100
-+++ config.mk	2007-11-22 16:49:20.000000000 +0100
+--- config.mk.orig	2008-03-13 17:55:43.000000000 +0100
++++ config.mk	2008-03-13 21:43:27.000000000 +0100
 @@ -4,19 +4,19 @@
  # Customize below to fit your system
  
@@ -23,7 +23,7 @@
 -LDFLAGS = -s ${LIBS}
 +CFLAGS+= ${INCS} -DVERSION=\"${VERSION}\"
 +LDFLAGS+= ${LIBS}
- #CFLAGS = -g -std=c99 -pedantic -Wall -O2 ${INCS} -DVERSION=\"${VERSION}\"
+ #CFLAGS = -g -std=c99 -pedantic -Wall -O2 ${INCS} -DVERSION=\"${VERSION}\" -DWORK
  #LDFLAGS = -g ${LIBS}
  
 @@ -26,4 +26,4 @@
Comment 5 Pietro Cerutti freebsd_committer 2008-03-14 12:32:09 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Good,
just a question:

@@ -23,7 +23,7 @@
~ -LDFLAGS = -s ${LIBS}
~ +CFLAGS+= ${INCS} -DVERSION=\"${VERSION}\"
~ +LDFLAGS+= ${LIBS}
- - #CFLAGS = -g -std=c99 -pedantic -Wall -O2 ${INCS} 
-DVERSION=\"${VERSION}\"
+ #CFLAGS = -g -std=c99 -pedantic -Wall -O2 ${INCS}
- -DVERSION=\"${VERSION}\" -DWORK
~  #LDFLAGS = -g ${LIBS}

Are you sure that you want to add -DWORK to the commented CFLAGS?

- --
Pietro Cerutti
gahr@FreeBSD.org

PGP Public Key:
http://gahr.ch/pgp

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.8 (FreeBSD)

iEYEAREKAAYFAkfacEkACgkQwMJqmJVx944/ZwCg0+CXMfRDubzsbBYeJ6fF4/DU
ywUAn1F3CRUvziU1S9ebXrk+QQp4W5sU
=ib15
-----END PGP SIGNATURE-----
Comment 6 Jeroen Schot 2008-03-15 15:24:13 UTC
Hi,

Yes, because without the '-DWORK' 'make patch' fails on my machine.
I noticed your patch replaced X11BASE with PREFIX. Is this the new
recommended setting of X11-dirs after the merge to LOCALBASE?

You might also want to commit pr ports/121695 before this one because of
the versioned dependency.

Regards,
Jeroen Schot
Comment 7 dfilter service freebsd_committer 2008-03-17 19:56:22 UTC
gahr        2008-03-17 19:56:18 UTC

  FreeBSD ports repository

  Modified files:
    x11-wm/dwm           Makefile distinfo 
    x11-wm/dwm/files     patch-config.mk 
  Log:
  - Update to 4.8
  
  PR:             121682
  Submitted by:   gahr (myself)
  Reviewed by:    schot@A-Eskwadraat.nl (maintainer)
  Approved by:    schot@A-Eskwadraat.nl (maintainer), miwi (mentor)
  
  Revision  Changes    Path
  1.36      +3 -3      ports/x11-wm/dwm/Makefile
  1.34      +3 -3      ports/x11-wm/dwm/distinfo
  1.10      +3 -3      ports/x11-wm/dwm/files/patch-config.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Pietro Cerutti freebsd_committer 2008-03-17 19:58:07 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!